Subject: Double quotes in DNs

From: Martin Lindström <[email-masked]>
Date: Wed, 14 Apr 1999 11:03:13 +0200

I've got a concrete question about using double quotes '"' as parts
of a distinguished name. Suppose I want my Organization to be:
Martin Lindstrom, Creative Computing. Since the attribute value
contains a ',' character i put the string within quotes (as stated in
RFC1779). O="Martin Lindstrom, Creative Computing".

RFC2459 has a rule (4.1.2.4) of how to choose which ASN.1 string 
to use from the CHOICE structure DirectoryString, and I start trying
to use a PrintableString.
If the double quotes were to be part of the coding I can't use
a PrintableString (since '"' characters are not part of the
PrintableString set according to X.680), but would have to use
a BMPString.
On the other hand, I could remove the double quotes before I
encode the DN and encode the Organization attribute as a PrintableString. 
But this leads to that I have to, when I decode, parse the names in 
the DN to find out if I have to put back any removed double quotes. 
If I didn't put back the double quotes, I would not have a DN 
which is valid according to RFC1779 anymore.

OK, the question would be: "Should double quotes be part of an
encoding or not?".

Regards Martin Lindström

______________________________________
         Entegrity Solutions

  Martin Lindström
  Senior Systems Engineer 

  Finlandsgatan 60 
  S-164 74 Kista, Sweden
  Direct: +46-(0)8-477-7735
  Fax:    +46-(0)8-477-7731
  Cell:   +46-(0)70-483-0024
______________________________________

---

From: Mark Wahl <[email-masked]>
Date: Wed, 14 Apr 1999 10:01:20 -0500

RFC 2253, which obsoletes RFC 1779, describes in section 2.4 the procedure
by which an ASN.1 attribute value is converted to a string.  You do not need
to have a double quote as part of the _attribute_value_ for your O.  The 
double quote is automatically added by the process of converting an X.500
DN encoding (BER) to an LDAP DN encoding (BNF).  Thesefore the PrintableString 
character set is suitable, just use  

Martin Lindstrom, Creative Computing

as the value.

Mark Wahl, Directory Product Architect
Innosoft International, Inc.